package com.hotent.portal.model;

import com.baomidou.mybatisplus.annotation.*;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * 
 *
 * @company 广州宏天软件股份有限公司
 * @author cola
 * @since 2021-12-03
 */
@ApiModel(value="PortalBizSystemAuth对象", description="")
public class PortalBizSystemAuth extends BaseModel<PortalBizSystemAuth> {

    private static final long serialVersionUID = 1L;
    @TableField("ID_")
    @TableId(value = "ID_")
    @JsonProperty("id")
    private String id;
    
    @TableField("SYS_CODE_")
    @JsonProperty("sysCode")
    private String sysCode;
    
    @TableField("SYS_NAME_")
    @JsonProperty("sysName")
    private String sysName;
    
    @TableField("MANAGER_ID_")
    @JsonProperty("managerId")
    private String managerId;
    
    @TableField("MANAGER_NAME_")
    @JsonProperty("managerName")
    private String managerName;
    
    @TableField(value = "CREATE_TIME_",fill = FieldFill.INSERT)
    @JsonProperty("createTime")
    private LocalDateTime createTime;
    
    @TableField("CREATE_BY_")
    @JsonProperty("createBy")
    private String createBy;
    
    @TableField("CREATE_ORG_ID_")
    @JsonProperty("createOrgId")
    private String createOrgId;
    
    @TableField("IS_DELE_")
    @JsonProperty("isDele")
    private String isDele;
    
    @TableField("UPDATE_TIME_")
    @JsonProperty("updateTime")
    private LocalDateTime updateTime;
    
    @TableField("UPDATE_BY_")
    @JsonProperty("updateBy")
    private String updateBy;
    
    @TableField("TENANT_ID_")
    @JsonProperty("tenantId")
    private String tenantId;

    @TableField("account_")
    private String account;

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getSysCode() {
        return sysCode;
    }

    public void setSysCode(String sysCode) {
        this.sysCode = sysCode;
    }
    public String getSysName() {
        return sysName;
    }

    public void setSysName(String sysName) {
        this.sysName = sysName;
    }
    public String getManagerId() {
        return managerId;
    }

    public void setManagerId(String managerId) {
        this.managerId = managerId;
    }
    public String getManagerName() {
        return managerName;
    }

    public void setManagerName(String managerName) {
        this.managerName = managerName;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public String getCreateOrgId() {
        return createOrgId;
    }

    public void setCreateOrgId(String createOrgId) {
        this.createOrgId = createOrgId;
    }
    public String getIsDele() {
        return isDele;
    }

    public void setIsDele(String isDele) {
        this.isDele = isDele;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }
    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }


    @Override
    protected Serializable pkVal() {
        return null;
    }

    @Override
    public String toString() {
        return "PortalBizSystemAuth{" +
                "id='" + id + '\'' +
                ", sysCode='" + sysCode + '\'' +
                ", sysName='" + sysName + '\'' +
                ", managerId='" + managerId + '\'' +
                ", managerName='" + managerName + '\'' +
                ", createTime=" + createTime +
                ", createBy='" + createBy + '\'' +
                ", createOrgId='" + createOrgId + '\'' +
                ", isDele='" + isDele + '\'' +
                ", updateTime=" + updateTime +
                ", updateBy=" + updateBy +
                ", tenantId='" + tenantId + '\'' +
                ", account='" + account + '\'' +
                '}';
    }
}
